upstream bievre_app_unicorn {
	server unix:/srv/www/web/bievre_app/shared/tmp/unicorn.sock fail_timeout=0;
}

server {
	listen [::]:443 ssl;
	server_name  bievre-proprete.com;
	root /srv/www/web/bievre_app/current/public;
	try_files $uri/index.html $uri @unicorn;

	location @unicorn {
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header Host $http_host;
		proxy_redirect off;
		proxy_pass http://bievre_app_unicorn;
		proxy_read_timeout 6000;
	}

	error_page 500 502 503 504 /500.html;
	client_max_body_size 4G;
	keepalive_timeout 10;
  
  ssl on;
  ssl_certificate /etc/letsencrypt/live/bievre-proprete.com/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/bievre-proprete.com/privkey.pem;
  
  
  include snippets/letsencrypt.conf;
}


server {
	listen [::]:80;
  server_name  bievre-proprete.com *.bievre-proprete.com;
  
  return 301 https://bievre-proprete.com$request_uri;
  
  include snippets/letsencrypt.conf;
}

server {
	listen [::]:443 ssl;
  server_name  www.bievre-proprete.com;
  ssl on;
  ssl_certificate /etc/letsencrypt/live/olwen-capital.com/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/olwen-capital.com/privkey.pem;
  
  return 301 https://olwen-capital.com$request_uri;
  
  include snippets/letsencrypt.conf;
}


